Bullet Collision Detection & Physics Library: btQuantizedBvhNode Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btQuantizedBvhNode Struct Reference

btQuantizedBvhNode is a compressed aabb node, 16 bytes. More...

`#include <btQuantizedBvh.h>`

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
bool | isLeafNode () const
int | getEscapeIndex () const
int | getTriangleIndex () const
int | getPartId () const

## Public Attributes
unsigned short int | m_quantizedAabbMin [3]
unsigned short int | m_quantizedAabbMax [3]
int | m_escapeIndexOrTriangleIndex

## Detailed Description

btQuantizedBvhNode is a compressed aabb node, 16 bytes.

Node can be used for leafnode or internal node. Leafnodes can point to 32-bit triangle index (non-negative range).

Definition at line 55 of file btQuantizedBvh.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btQuantizedBvhNode::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ getEscapeIndex()

int btQuantizedBvhNode::getEscapeIndex | ( |  | ) | const
| inline

Definition at line 71 of file btQuantizedBvh.h.

## ◆ getPartId()

int btQuantizedBvhNode::getPartId | ( |  | ) | const
| inline

Definition at line 84 of file btQuantizedBvh.h.

## ◆ getTriangleIndex()

int btQuantizedBvhNode::getTriangleIndex | ( |  | ) | const
| inline

Definition at line 76 of file btQuantizedBvh.h.

## ◆ isLeafNode()

bool btQuantizedBvhNode::isLeafNode | ( |  | ) | const
| inline

Definition at line 66 of file btQuantizedBvh.h.

## Member Data Documentation

## ◆ m_escapeIndexOrTriangleIndex

int btQuantizedBvhNode::m_escapeIndexOrTriangleIndex

Definition at line 64 of file btQuantizedBvh.h.

## ◆ m_quantizedAabbMax

unsigned short int btQuantizedBvhNode::m_quantizedAabbMax[3]

Definition at line 62 of file btQuantizedBvh.h.

## ◆ m_quantizedAabbMin

unsigned short int btQuantizedBvhNode::m_quantizedAabbMin[3]

Definition at line 61 of file btQuantizedBvh.h.

The documentation for this struct was generated from the following file:

- btQuantizedBvh.h